extends ../dashboard-layout

block page-header
    h1.h2 Usuários

block main
    br
    .btn-toolbar(role='toolbar', aria-label='Barra de ferramentas da listagem de usuários')
        .btn-group.mr-2(role='group', aria-label='Botões de ação')
            a.btn.btn-dark(type='button', href="/admin/accounts/new")
                i.fa.fa-plus
                |  Novo usuário

    br

    .table-responsive
        table.table.table-striped.table-sm.table-hover
            thead.thead-dark
                tr
                    th(scope="col", width="20%") Ações
                    th(scope="col", width="50%") Username
                    th(scope="col", width="30%") Grupos
            tbody
                each account in accounts
                    tr
                        td
                            .btn-group.btn-group-sm(role="group", aria-label="Basic example")
                                button.btn.btn-dark.dropdown-toggle(id="btnGroupDrop" + account._id, type="button",
                                data-toggle="dropdown", aria-haspopup="true", aria-expanded="false")
                                    i.fa.fa-cog
                                .dropdown-menu(aria-labelledby="btnGroupDrop" + account._id)
                                    a.dropdown-item(href="/admin/accounts/edit/" + account._id, title="Editar Usuário")
                                        i.fa.fa-pencil
                                        |  Editar Usuário
                                    button.dropdown-item(onclick="excluir('/admin/accounts/remove/" + account._id + "')",
                                    title="Excluir Usuário")
                                        i.fa.fa-times
                                        |  Excluir Usuário
                                    a.dropdown-item(href="/admin/accounts/change_password/" + account._id, title="Trocar senha")
                                        i.fa.fa-key
                                        |  Trocar senha
                        td=account.username
                        td=account.group
        br
        br

block scripts
    script(src="/js/admin/crud-functions.js")

